<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Oasis3-MCT: /home/globc2/tcraig/oasis3-mct.trunk/lib/psmile/src/mod_oasis_parameters.F90 Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Oasis3-MCT
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_97aefd0d527b934f1d99a682da8fe6a9.html">lib</a></li><li class="navelem"><a class="el" href="dir_6f83a59929ac69cee82ded507f083b9f.html">psmile</a></li><li class="navelem"><a class="el" href="dir_dcfc5ad42d3b5a64023b870fcbdcd859.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">mod_oasis_parameters.F90</div>  </div>
</div><!--header-->
<div class="contents">
<a href="mod__oasis__parameters_8_f90.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">!&gt; Defines parameters for OASIS</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html">    4</a></span>&#160;<span class="keyword">MODULE</span> <a class="code" href="namespacemod__oasis__parameters.html">mod_oasis_parameters</a></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">!</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">! -- clim.h   18-08-95   Version 2.0   Author: Laurent Terray</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">!    ******</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">!             26-10-99   Version 2.4   Jean Latour (F.S.E.) MPI-2 support</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">!@</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">! -- mod_clim_proto.f90  12-06-02  Version 3.0   A. Caubel </span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">! --                     20-05-03  added PRISM_Recvd/Sent   S.Legutke</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;     </div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">!    ******************</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">!</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">!@  Contents : variables related to the CLIM library</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">!@  --------</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">!@</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">!</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;  <span class="keywordtype">USE </span><a class="code" href="namespacemod__oasis__kinds.html">mod_oasis_kinds</a></div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#aa7cbeb1a099f571702827ace878cdc64">   20</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#aa7cbeb1a099f571702827ace878cdc64">prism_ok</a>   = 0 </div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a3ea125963822918ce37fd3cfd9658c9f">   21</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a3ea125963822918ce37fd3cfd9658c9f">oasis_ok</a>       = <a class="code" href="namespacemod__oasis__parameters.html#aa7cbeb1a099f571702827ace878cdc64">prism_ok</a></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment">!-----Ports status</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#aa388f517f0a947f770637d617bdda79b">   25</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#aa388f517f0a947f770637d617bdda79b">prism_notdef</a>      = -2 </div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#acbe396fd3b5e7b00dd66425f0acb546d">   26</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#acbe396fd3b5e7b00dd66425f0acb546d">oasis_notdef</a>      = <a class="code" href="namespacemod__oasis__parameters.html#aa388f517f0a947f770637d617bdda79b">prism_notdef</a></div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ac906e1466e6cdc300a0b582af6619ca5">   27</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ac906e1466e6cdc300a0b582af6619ca5">oasis_var_uncpl</a>   = -1</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a58d4e90d13e758e6a6dfab01e6a1415e">   28</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a58d4e90d13e758e6a6dfab01e6a1415e">prism_out</a>         = 20</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a76a150fa8ef6ed0b35183e627d757439">   29</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a76a150fa8ef6ed0b35183e627d757439">oasis_out</a>         = <a class="code" href="namespacemod__oasis__parameters.html#a58d4e90d13e758e6a6dfab01e6a1415e">prism_out</a></div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a9cd491b86da0ba4612f2de5a9ef52e7c">   30</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a9cd491b86da0ba4612f2de5a9ef52e7c">prism_in</a>          = 21</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a16809ad581bb609aa5b0661927478653">   31</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a16809ad581bb609aa5b0661927478653">oasis_in</a>          = <a class="code" href="namespacemod__oasis__parameters.html#a9cd491b86da0ba4612f2de5a9ef52e7c">prism_in</a></div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ae8105d0074bcd93e7da5c40331d2b9fe">   32</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ae8105d0074bcd93e7da5c40331d2b9fe">prism_inout</a>       = 2 </div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#adc22f0871027f573ac705ca4593519f0">   33</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#adc22f0871027f573ac705ca4593519f0">oasis_inout</a>       = <a class="code" href="namespacemod__oasis__parameters.html#ae8105d0074bcd93e7da5c40331d2b9fe">prism_inout</a></div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#aa0bc3b208a1f962e5ec08916b36cae2d">   34</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#aa0bc3b208a1f962e5ec08916b36cae2d">prism_recvd</a>       = 3 </div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a50fc92036d81ca0ea23918e1feddfe75">   35</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a50fc92036d81ca0ea23918e1feddfe75">oasis_recvd</a>       = <a class="code" href="namespacemod__oasis__parameters.html#aa0bc3b208a1f962e5ec08916b36cae2d">prism_recvd</a></div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a403c181a893e178ee0ad6ec6f8d26c9c">   36</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a403c181a893e178ee0ad6ec6f8d26c9c">prism_sent</a>        = 4 </div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#af739945ec2da833423cdc6e220e1c847">   37</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#af739945ec2da833423cdc6e220e1c847">oasis_sent</a>        = <a class="code" href="namespacemod__oasis__parameters.html#a403c181a893e178ee0ad6ec6f8d26c9c">prism_sent</a></div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#af9dc530c2cf2f0e5b5bb04fecb8373dd">   38</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#af9dc530c2cf2f0e5b5bb04fecb8373dd">prism_loctrans</a>    = 5</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a8b206cc178182e3526d400ea7a6587b5">   39</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a8b206cc178182e3526d400ea7a6587b5">oasis_loctrans</a>    = <a class="code" href="namespacemod__oasis__parameters.html#af9dc530c2cf2f0e5b5bb04fecb8373dd">prism_loctrans</a></div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a8d037fafc163f46260a8704f92a885a1">   40</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a8d037fafc163f46260a8704f92a885a1">prism_torest</a>      = 6</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a875abcc1cc679cb72f20d42d3dbfac97">   41</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a875abcc1cc679cb72f20d42d3dbfac97">oasis_torest</a>      = <a class="code" href="namespacemod__oasis__parameters.html#a8d037fafc163f46260a8704f92a885a1">prism_torest</a></div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#adc510873316710fd71696fabcc34f336">   42</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#adc510873316710fd71696fabcc34f336">prism_output</a>      = 7</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a7f9f81f3b1f2c8b09a460aeca27ea859">   43</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a7f9f81f3b1f2c8b09a460aeca27ea859">oasis_output</a>      = <a class="code" href="namespacemod__oasis__parameters.html#adc510873316710fd71696fabcc34f336">prism_output</a></div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a9f683811203a8cf60704b4938a8f3a11">   44</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a9f683811203a8cf60704b4938a8f3a11">prism_sentout</a>     = 8</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a1804e9b27d8d7ace38fd4c3f99ade6dd">   45</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a1804e9b27d8d7ace38fd4c3f99ade6dd">oasis_sentout</a>     = <a class="code" href="namespacemod__oasis__parameters.html#a9f683811203a8cf60704b4938a8f3a11">prism_sentout</a></div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a9ed7a0f0a9392248de5b4b15849843df">   46</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a9ed7a0f0a9392248de5b4b15849843df">prism_torestout</a>   = 9</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a390018877602efede436bd0721add299">   47</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a390018877602efede436bd0721add299">oasis_torestout</a>   = <a class="code" href="namespacemod__oasis__parameters.html#a9ed7a0f0a9392248de5b4b15849843df">prism_torestout</a></div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ad77e6f35280cf4e306f818f9ec815441">   48</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ad77e6f35280cf4e306f818f9ec815441">prism_fromrest</a>    = 10</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#aa0584909970d34364b7ec319292b1682">   49</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#aa0584909970d34364b7ec319292b1682">oasis_fromrest</a>    = <a class="code" href="namespacemod__oasis__parameters.html#ad77e6f35280cf4e306f818f9ec815441">prism_fromrest</a></div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#aa9009f13473f2cb6476c2fb5e4963243">   50</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#aa9009f13473f2cb6476c2fb5e4963243">prism_input</a>       = 11</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ae65ca856d776de249fc624b2d76bc4e8">   51</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ae65ca856d776de249fc624b2d76bc4e8">oasis_input</a>       = <a class="code" href="namespacemod__oasis__parameters.html#aa9009f13473f2cb6476c2fb5e4963243">prism_input</a></div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ab56f2573ea7fd626f24e42606f4745a2">   52</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ab56f2573ea7fd626f24e42606f4745a2">prism_recvout</a>     = 12</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ac7406e7f558491599acfbb6f4628f811">   53</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ac7406e7f558491599acfbb6f4628f811">oasis_recvout</a>     = <a class="code" href="namespacemod__oasis__parameters.html#ab56f2573ea7fd626f24e42606f4745a2">prism_recvout</a></div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ac989a8af875dd1765b1369814fd4eb9d">   54</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ac989a8af875dd1765b1369814fd4eb9d">prism_fromrestout</a> = 13</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a76a87a170e0c08863ae981693eb88fb8">   55</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a76a87a170e0c08863ae981693eb88fb8">oasis_fromrestout</a> = <a class="code" href="namespacemod__oasis__parameters.html#ac989a8af875dd1765b1369814fd4eb9d">prism_fromrestout</a></div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ae5cbdfb558e82bfb8695a8cf425780cb">   56</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ae5cbdfb558e82bfb8695a8cf425780cb">prism_waitgroup</a>   = 14</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a2cc23572d33c536d49a53587359b68f0">   57</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a2cc23572d33c536d49a53587359b68f0">oasis_waitgroup</a>   = <a class="code" href="namespacemod__oasis__parameters.html#ae5cbdfb558e82bfb8695a8cf425780cb">prism_waitgroup</a></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="comment">!-----Coupler Comm Status</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a81e4e20be511cd8be2ab3881b42f8f3e">   61</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a81e4e20be511cd8be2ab3881b42f8f3e">prism_none</a>        = 100</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a368402af56fd08ed95ad88d0c987733a">   62</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a368402af56fd08ed95ad88d0c987733a">oasis_none</a>        = <a class="code" href="namespacemod__oasis__parameters.html#a81e4e20be511cd8be2ab3881b42f8f3e">prism_none</a></div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a953f0a4738f9ca919cf5e446998cc79e">   63</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a953f0a4738f9ca919cf5e446998cc79e">prism_comm_ready</a>  = 101</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a8484e196ef7469adbeaef850787d7502">   64</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a8484e196ef7469adbeaef850787d7502">oasis_comm_ready</a>  = <a class="code" href="namespacemod__oasis__parameters.html#a953f0a4738f9ca919cf5e446998cc79e">prism_comm_ready</a></div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a3d0349d8815bf1848122d99993097842">   65</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a3d0349d8815bf1848122d99993097842">prism_comm_wait</a>   = 102</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a9df795bd9123857642aae31661b6c13a">   66</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a9df795bd9123857642aae31661b6c13a">oasis_comm_wait</a>   = <a class="code" href="namespacemod__oasis__parameters.html#a3d0349d8815bf1848122d99993097842">prism_comm_wait</a></div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ad8db79b2d411e8f04445dcc2ed619548">   67</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ad8db79b2d411e8f04445dcc2ed619548">prism_put</a>         = 103</div><div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a325334a5e2f9d0c7846c1ef964f9f7e3">   68</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a325334a5e2f9d0c7846c1ef964f9f7e3">oasis3_put</a>         = <a class="code" href="namespacemod__oasis__parameters.html#ad8db79b2d411e8f04445dcc2ed619548">prism_put</a></div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a136a476f2771e33d12e42b47eef72f9b">   69</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a136a476f2771e33d12e42b47eef72f9b">prism_get</a>         = 104</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#aa2ac99363b8f1aa7ff950fda3e3f5fff">   70</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#aa2ac99363b8f1aa7ff950fda3e3f5fff">oasis3_get</a>         = <a class="code" href="namespacemod__oasis__parameters.html#a136a476f2771e33d12e42b47eef72f9b">prism_get</a></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="comment">!-----Field status</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a0f729cda95773cdc8df800eacdceb606">   74</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a0f729cda95773cdc8df800eacdceb606">ip_exported</a>  = 1</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ae3733a399c07b165b5ad19543ca1d2a2">   75</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ae3733a399c07b165b5ad19543ca1d2a2">ip_ignored</a>   = 2</div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a6a7bcd0e3a33573729f94098ecd9a922">   76</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a6a7bcd0e3a33573729f94098ecd9a922">ip_input</a>     = 3</div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a556f148d126d8d6dfe711656024436e6">   77</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a556f148d126d8d6dfe711656024436e6">ip_output</a>    = 4</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ae91d5161b091e1f07e6ee64a38514df6">   78</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ae91d5161b091e1f07e6ee64a38514df6">ip_expout</a>    = 5</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a4d283e27ebb49e8d97a35842f10d9aec">   79</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a4d283e27ebb49e8d97a35842f10d9aec">ip_ignout</a>    = 6</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a4e90463865a09309212e947e8c8546ac">   80</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a4e90463865a09309212e947e8c8546ac">ip_auxilary</a>  = 7</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="comment">!----Field local transformation</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a1028581caadcb9d7506b25c6cd3efd01">   84</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a1028581caadcb9d7506b25c6cd3efd01">ip_instant</a> = 1</div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a5e40e91da22fca8f2b6a9d4f1c1ace5d">   85</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a5e40e91da22fca8f2b6a9d4f1c1ace5d">ip_average</a> = 2</div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#adfaf98517b8396e4ba667f2f8bcd0ed5">   86</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#adfaf98517b8396e4ba667f2f8bcd0ed5">ip_accumul</a> = 3</div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a194cfc3b7f2d515492e04fd6e8931c60">   87</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a194cfc3b7f2d515492e04fd6e8931c60">ip_min</a>     = 4</div><div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#abe7b7d586b50bd7c7d77c7834efa2801">   88</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#abe7b7d586b50bd7c7d77c7834efa2801">ip_max</a>     = 5</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="comment">!----Field conserv option</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ae043e4e2c2b7f04fec7d8c061ef52934">   92</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ae043e4e2c2b7f04fec7d8c061ef52934">ip_cnone</a>   = 0</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ae251e3ac1c9c82ae5db2a768d2d59d5f">   93</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ae251e3ac1c9c82ae5db2a768d2d59d5f">ip_cglobal</a> = 1</div><div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#aec700ad0c6a11dd35e5d6c2afb745fd0">   94</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#aec700ad0c6a11dd35e5d6c2afb745fd0">ip_cglbpos</a> = 2</div><div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#aaa7ead98ff7d53acfd539a32fca9e2c7">   95</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#aaa7ead98ff7d53acfd539a32fca9e2c7">ip_cbasbal</a> = 4</div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a3b96d31bbe142d84df2b93880498936f">   96</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a3b96d31bbe142d84df2b93880498936f">ip_cbaspos</a> = 5</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="comment">!-----Parallel distribution</span></div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a611cae6f3c65a75f26e76b2f88f34037">  100</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a611cae6f3c65a75f26e76b2f88f34037">clim_strategy</a> = 1 </div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a7427036a6530871a0f49c0fb75f2b3ef">  101</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a7427036a6530871a0f49c0fb75f2b3ef">clim_segments</a> = 2 </div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a5c410369e763f9156d0ce1c82e866265">  103</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a5c410369e763f9156d0ce1c82e866265">clim_serial</a>   = 0 </div><div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a3cfd98fdd1c2fac653b182454c87f4aa">  104</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a3cfd98fdd1c2fac653b182454c87f4aa">clim_apple</a>    = 1 </div><div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a9a8b38629274e3a38a37f329ce9d2aa2">  105</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a9a8b38629274e3a38a37f329ce9d2aa2">clim_box</a>      = 2 </div><div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a17c74cc8141b595e448588b1add0f6bf">  106</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a17c74cc8141b595e448588b1add0f6bf">clim_orange</a>   = 3 </div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#aa9d90a3d7d5b21d2081a578dfea42fd4">  107</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#aa9d90a3d7d5b21d2081a578dfea42fd4">clim_points</a>   = 4 </div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a4cd07733eaf5d8c8148986c0c4217772">  109</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a4cd07733eaf5d8c8148986c0c4217772">clim_offset</a>   = 2 </div><div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a984896e821cbbb8c4a91e86ff19d54de">  110</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a984896e821cbbb8c4a91e86ff19d54de">clim_length</a>   = 3 </div><div class="line"><a name="l00111"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a4fb35a666ab4cec927a2ae9244535cb0">  111</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a4fb35a666ab4cec927a2ae9244535cb0">clim_sizex</a>    = 3 </div><div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a206910560c246db3404224a04cfd4319">  112</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a206910560c246db3404224a04cfd4319">clim_sizey</a>    = 4 </div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a3407c11054d24782182c649307808e47">  113</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a3407c11054d24782182c649307808e47">clim_ldx</a>      = 5 </div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="comment">!-----Datatypes</span></div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a02e0627219e7769df37e3d55da46f65d">  117</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a02e0627219e7769df37e3d55da46f65d">prism_real</a>   = 4  </div><div class="line"><a name="l00118"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#ae7760fcfae19d2f3cbf759688cd35193">  118</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#ae7760fcfae19d2f3cbf759688cd35193">oasis_real</a>   = <a class="code" href="namespacemod__oasis__parameters.html#a02e0627219e7769df37e3d55da46f65d">prism_real</a></div><div class="line"><a name="l00119"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a9527d2d640ea7d747143bf994ee9b206">  119</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a9527d2d640ea7d747143bf994ee9b206">prism_double</a> = 8 </div><div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="namespacemod__oasis__parameters.html#a1071adbbf4c378907b4ff69dd53d0d7e">  120</a></span>&#160;  <span class="keywordtype">INTEGER (kind=ip_intwp_p)</span>, <span class="keywordtype">PARAMETER</span> :: <a class="code" href="namespacemod__oasis__parameters.html#a1071adbbf4c378907b4ff69dd53d0d7e">oasis_double</a> = <a class="code" href="namespacemod__oasis__parameters.html#a9527d2d640ea7d747143bf994ee9b206">prism_double</a></div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="comment">!-----Quit parameters</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="comment">!</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_ContPvm = 0 </span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_StopPvm = 1 </span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="comment">!</span></div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="comment">!-----Error Codes</span></div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="comment">!</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_MaxCodes  = -22 </span></div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="comment">!</span></div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_Ok   = 0 </span></div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_FastExit  = -1 </span></div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_BadName   = -2 </span></div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_BadPort   = -3 </span></div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_BadType   = -4 </span></div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: PRISM_DoubleDef= -5 </span></div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_NotStep   = -6 </span></div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_IncStep   = -7 </span></div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_IncSize   = -8 </span></div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_NotClim   = -9 </span></div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_TimeOut   = -10 </span></div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_Pvm       = -11 </span></div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_FirstCall = -12 </span></div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_PbRoute   = -13 </span></div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_Group     = -14 </span></div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_BadTaskId = -15 </span></div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_NoTask    = -16 </span></div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_InitBuff  = -17 </span></div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_Pack      = -18 </span></div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_Unpack    = -19 </span></div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_Down      = -20 </span></div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_PvmExit   = -21 </span></div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: CLIM_Mpi       = -22 </span></div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="comment">!  INTEGER (kind=ip_intwp_p), PARAMETER :: PRISM_NotFreq  = -23 </span></div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="comment">!</span></div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="keyword">END MODULE </span><a class="code" href="namespacemod__oasis__parameters.html">mod_oasis_parameters</a></div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="ttc" id="namespacemod__oasis__parameters_html_ac7406e7f558491599acfbb6f4628f811"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ac7406e7f558491599acfbb6f4628f811">mod_oasis_parameters::oasis_recvout</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_recvout</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00053">mod_oasis_parameters.F90:53</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_aec700ad0c6a11dd35e5d6c2afb745fd0"><div class="ttname"><a href="namespacemod__oasis__parameters.html#aec700ad0c6a11dd35e5d6c2afb745fd0">mod_oasis_parameters::ip_cglbpos</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_cglbpos</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00094">mod_oasis_parameters.F90:94</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a9a8b38629274e3a38a37f329ce9d2aa2"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a9a8b38629274e3a38a37f329ce9d2aa2">mod_oasis_parameters::clim_box</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter clim_box</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00105">mod_oasis_parameters.F90:105</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a556f148d126d8d6dfe711656024436e6"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a556f148d126d8d6dfe711656024436e6">mod_oasis_parameters::ip_output</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_output</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00077">mod_oasis_parameters.F90:77</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a4fb35a666ab4cec927a2ae9244535cb0"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a4fb35a666ab4cec927a2ae9244535cb0">mod_oasis_parameters::clim_sizex</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter clim_sizex</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00111">mod_oasis_parameters.F90:111</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a1804e9b27d8d7ace38fd4c3f99ade6dd"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a1804e9b27d8d7ace38fd4c3f99ade6dd">mod_oasis_parameters::oasis_sentout</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_sentout</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00045">mod_oasis_parameters.F90:45</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a1071adbbf4c378907b4ff69dd53d0d7e"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a1071adbbf4c378907b4ff69dd53d0d7e">mod_oasis_parameters::oasis_double</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_double</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00120">mod_oasis_parameters.F90:120</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a4cd07733eaf5d8c8148986c0c4217772"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a4cd07733eaf5d8c8148986c0c4217772">mod_oasis_parameters::clim_offset</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter clim_offset</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00109">mod_oasis_parameters.F90:109</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a3ea125963822918ce37fd3cfd9658c9f"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a3ea125963822918ce37fd3cfd9658c9f">mod_oasis_parameters::oasis_ok</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_ok</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00021">mod_oasis_parameters.F90:21</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_aa0bc3b208a1f962e5ec08916b36cae2d"><div class="ttname"><a href="namespacemod__oasis__parameters.html#aa0bc3b208a1f962e5ec08916b36cae2d">mod_oasis_parameters::prism_recvd</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_recvd</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00034">mod_oasis_parameters.F90:34</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a16809ad581bb609aa5b0661927478653"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a16809ad581bb609aa5b0661927478653">mod_oasis_parameters::oasis_in</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_in</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00031">mod_oasis_parameters.F90:31</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a76a87a170e0c08863ae981693eb88fb8"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a76a87a170e0c08863ae981693eb88fb8">mod_oasis_parameters::oasis_fromrestout</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_fromrestout</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00055">mod_oasis_parameters.F90:55</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ae91d5161b091e1f07e6ee64a38514df6"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ae91d5161b091e1f07e6ee64a38514df6">mod_oasis_parameters::ip_expout</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_expout</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00078">mod_oasis_parameters.F90:78</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a4d283e27ebb49e8d97a35842f10d9aec"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a4d283e27ebb49e8d97a35842f10d9aec">mod_oasis_parameters::ip_ignout</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_ignout</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00079">mod_oasis_parameters.F90:79</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a1028581caadcb9d7506b25c6cd3efd01"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a1028581caadcb9d7506b25c6cd3efd01">mod_oasis_parameters::ip_instant</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_instant</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00084">mod_oasis_parameters.F90:84</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_aa0584909970d34364b7ec319292b1682"><div class="ttname"><a href="namespacemod__oasis__parameters.html#aa0584909970d34364b7ec319292b1682">mod_oasis_parameters::oasis_fromrest</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_fromrest</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00049">mod_oasis_parameters.F90:49</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a4e90463865a09309212e947e8c8546ac"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a4e90463865a09309212e947e8c8546ac">mod_oasis_parameters::ip_auxilary</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_auxilary</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00080">mod_oasis_parameters.F90:80</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ad8db79b2d411e8f04445dcc2ed619548"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ad8db79b2d411e8f04445dcc2ed619548">mod_oasis_parameters::prism_put</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_put</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00067">mod_oasis_parameters.F90:67</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ad77e6f35280cf4e306f818f9ec815441"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ad77e6f35280cf4e306f818f9ec815441">mod_oasis_parameters::prism_fromrest</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_fromrest</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00048">mod_oasis_parameters.F90:48</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_af739945ec2da833423cdc6e220e1c847"><div class="ttname"><a href="namespacemod__oasis__parameters.html#af739945ec2da833423cdc6e220e1c847">mod_oasis_parameters::oasis_sent</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_sent</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00037">mod_oasis_parameters.F90:37</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ac989a8af875dd1765b1369814fd4eb9d"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ac989a8af875dd1765b1369814fd4eb9d">mod_oasis_parameters::prism_fromrestout</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_fromrestout</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00054">mod_oasis_parameters.F90:54</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a390018877602efede436bd0721add299"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a390018877602efede436bd0721add299">mod_oasis_parameters::oasis_torestout</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_torestout</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00047">mod_oasis_parameters.F90:47</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a9ed7a0f0a9392248de5b4b15849843df"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a9ed7a0f0a9392248de5b4b15849843df">mod_oasis_parameters::prism_torestout</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_torestout</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00046">mod_oasis_parameters.F90:46</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ae7760fcfae19d2f3cbf759688cd35193"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ae7760fcfae19d2f3cbf759688cd35193">mod_oasis_parameters::oasis_real</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_real</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00118">mod_oasis_parameters.F90:118</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a194cfc3b7f2d515492e04fd6e8931c60"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a194cfc3b7f2d515492e04fd6e8931c60">mod_oasis_parameters::ip_min</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_min</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00087">mod_oasis_parameters.F90:87</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a875abcc1cc679cb72f20d42d3dbfac97"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a875abcc1cc679cb72f20d42d3dbfac97">mod_oasis_parameters::oasis_torest</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_torest</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00041">mod_oasis_parameters.F90:41</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a8d037fafc163f46260a8704f92a885a1"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a8d037fafc163f46260a8704f92a885a1">mod_oasis_parameters::prism_torest</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_torest</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00040">mod_oasis_parameters.F90:40</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_adfaf98517b8396e4ba667f2f8bcd0ed5"><div class="ttname"><a href="namespacemod__oasis__parameters.html#adfaf98517b8396e4ba667f2f8bcd0ed5">mod_oasis_parameters::ip_accumul</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_accumul</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00086">mod_oasis_parameters.F90:86</a></div></div>
<div class="ttc" id="namespacemod__oasis__kinds_html"><div class="ttname"><a href="namespacemod__oasis__kinds.html">mod_oasis_kinds</a></div><div class="ttdoc">Defines kinds for OASIS. </div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__kinds_8_f90_source.html#l00007">mod_oasis_kinds.F90:7</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a0f729cda95773cdc8df800eacdceb606"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a0f729cda95773cdc8df800eacdceb606">mod_oasis_parameters::ip_exported</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_exported</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00074">mod_oasis_parameters.F90:74</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a17c74cc8141b595e448588b1add0f6bf"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a17c74cc8141b595e448588b1add0f6bf">mod_oasis_parameters::clim_orange</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter clim_orange</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00106">mod_oasis_parameters.F90:106</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_aaa7ead98ff7d53acfd539a32fca9e2c7"><div class="ttname"><a href="namespacemod__oasis__parameters.html#aaa7ead98ff7d53acfd539a32fca9e2c7">mod_oasis_parameters::ip_cbasbal</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_cbasbal</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00095">mod_oasis_parameters.F90:95</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_aa9d90a3d7d5b21d2081a578dfea42fd4"><div class="ttname"><a href="namespacemod__oasis__parameters.html#aa9d90a3d7d5b21d2081a578dfea42fd4">mod_oasis_parameters::clim_points</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter clim_points</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00107">mod_oasis_parameters.F90:107</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_aa2ac99363b8f1aa7ff950fda3e3f5fff"><div class="ttname"><a href="namespacemod__oasis__parameters.html#aa2ac99363b8f1aa7ff950fda3e3f5fff">mod_oasis_parameters::oasis3_get</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis3_get</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00070">mod_oasis_parameters.F90:70</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a611cae6f3c65a75f26e76b2f88f34037"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a611cae6f3c65a75f26e76b2f88f34037">mod_oasis_parameters::clim_strategy</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter clim_strategy</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00100">mod_oasis_parameters.F90:100</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a50fc92036d81ca0ea23918e1feddfe75"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a50fc92036d81ca0ea23918e1feddfe75">mod_oasis_parameters::oasis_recvd</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_recvd</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00035">mod_oasis_parameters.F90:35</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a325334a5e2f9d0c7846c1ef964f9f7e3"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a325334a5e2f9d0c7846c1ef964f9f7e3">mod_oasis_parameters::oasis3_put</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis3_put</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00068">mod_oasis_parameters.F90:68</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_aa7cbeb1a099f571702827ace878cdc64"><div class="ttname"><a href="namespacemod__oasis__parameters.html#aa7cbeb1a099f571702827ace878cdc64">mod_oasis_parameters::prism_ok</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_ok</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00020">mod_oasis_parameters.F90:20</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a403c181a893e178ee0ad6ec6f8d26c9c"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a403c181a893e178ee0ad6ec6f8d26c9c">mod_oasis_parameters::prism_sent</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_sent</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00036">mod_oasis_parameters.F90:36</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a7f9f81f3b1f2c8b09a460aeca27ea859"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a7f9f81f3b1f2c8b09a460aeca27ea859">mod_oasis_parameters::oasis_output</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_output</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00043">mod_oasis_parameters.F90:43</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a58d4e90d13e758e6a6dfab01e6a1415e"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a58d4e90d13e758e6a6dfab01e6a1415e">mod_oasis_parameters::prism_out</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_out</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00028">mod_oasis_parameters.F90:28</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a2cc23572d33c536d49a53587359b68f0"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a2cc23572d33c536d49a53587359b68f0">mod_oasis_parameters::oasis_waitgroup</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_waitgroup</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00057">mod_oasis_parameters.F90:57</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_abe7b7d586b50bd7c7d77c7834efa2801"><div class="ttname"><a href="namespacemod__oasis__parameters.html#abe7b7d586b50bd7c7d77c7834efa2801">mod_oasis_parameters::ip_max</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_max</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00088">mod_oasis_parameters.F90:88</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a8484e196ef7469adbeaef850787d7502"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a8484e196ef7469adbeaef850787d7502">mod_oasis_parameters::oasis_comm_ready</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_comm_ready</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00064">mod_oasis_parameters.F90:64</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html"><div class="ttname"><a href="namespacemod__oasis__parameters.html">mod_oasis_parameters</a></div><div class="ttdoc">Defines parameters for OASIS. </div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00004">mod_oasis_parameters.F90:4</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a8b206cc178182e3526d400ea7a6587b5"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a8b206cc178182e3526d400ea7a6587b5">mod_oasis_parameters::oasis_loctrans</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_loctrans</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00039">mod_oasis_parameters.F90:39</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a76a150fa8ef6ed0b35183e627d757439"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a76a150fa8ef6ed0b35183e627d757439">mod_oasis_parameters::oasis_out</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_out</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00029">mod_oasis_parameters.F90:29</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a3407c11054d24782182c649307808e47"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a3407c11054d24782182c649307808e47">mod_oasis_parameters::clim_ldx</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter clim_ldx</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00113">mod_oasis_parameters.F90:113</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a02e0627219e7769df37e3d55da46f65d"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a02e0627219e7769df37e3d55da46f65d">mod_oasis_parameters::prism_real</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_real</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00117">mod_oasis_parameters.F90:117</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a206910560c246db3404224a04cfd4319"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a206910560c246db3404224a04cfd4319">mod_oasis_parameters::clim_sizey</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter clim_sizey</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00112">mod_oasis_parameters.F90:112</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ae251e3ac1c9c82ae5db2a768d2d59d5f"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ae251e3ac1c9c82ae5db2a768d2d59d5f">mod_oasis_parameters::ip_cglobal</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_cglobal</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00093">mod_oasis_parameters.F90:93</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a5e40e91da22fca8f2b6a9d4f1c1ace5d"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a5e40e91da22fca8f2b6a9d4f1c1ace5d">mod_oasis_parameters::ip_average</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_average</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00085">mod_oasis_parameters.F90:85</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a953f0a4738f9ca919cf5e446998cc79e"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a953f0a4738f9ca919cf5e446998cc79e">mod_oasis_parameters::prism_comm_ready</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_comm_ready</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00063">mod_oasis_parameters.F90:63</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_acbe396fd3b5e7b00dd66425f0acb546d"><div class="ttname"><a href="namespacemod__oasis__parameters.html#acbe396fd3b5e7b00dd66425f0acb546d">mod_oasis_parameters::oasis_notdef</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_notdef</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00026">mod_oasis_parameters.F90:26</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a368402af56fd08ed95ad88d0c987733a"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a368402af56fd08ed95ad88d0c987733a">mod_oasis_parameters::oasis_none</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_none</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00062">mod_oasis_parameters.F90:62</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ae65ca856d776de249fc624b2d76bc4e8"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ae65ca856d776de249fc624b2d76bc4e8">mod_oasis_parameters::oasis_input</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_input</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00051">mod_oasis_parameters.F90:51</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a7427036a6530871a0f49c0fb75f2b3ef"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a7427036a6530871a0f49c0fb75f2b3ef">mod_oasis_parameters::clim_segments</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter clim_segments</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00101">mod_oasis_parameters.F90:101</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a5c410369e763f9156d0ce1c82e866265"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a5c410369e763f9156d0ce1c82e866265">mod_oasis_parameters::clim_serial</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter clim_serial</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00103">mod_oasis_parameters.F90:103</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ac906e1466e6cdc300a0b582af6619ca5"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ac906e1466e6cdc300a0b582af6619ca5">mod_oasis_parameters::oasis_var_uncpl</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_var_uncpl</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00027">mod_oasis_parameters.F90:27</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_aa388f517f0a947f770637d617bdda79b"><div class="ttname"><a href="namespacemod__oasis__parameters.html#aa388f517f0a947f770637d617bdda79b">mod_oasis_parameters::prism_notdef</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_notdef</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00025">mod_oasis_parameters.F90:25</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a3cfd98fdd1c2fac653b182454c87f4aa"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a3cfd98fdd1c2fac653b182454c87f4aa">mod_oasis_parameters::clim_apple</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter clim_apple</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00104">mod_oasis_parameters.F90:104</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a6a7bcd0e3a33573729f94098ecd9a922"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a6a7bcd0e3a33573729f94098ecd9a922">mod_oasis_parameters::ip_input</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_input</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00076">mod_oasis_parameters.F90:76</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ae3733a399c07b165b5ad19543ca1d2a2"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ae3733a399c07b165b5ad19543ca1d2a2">mod_oasis_parameters::ip_ignored</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_ignored</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00075">mod_oasis_parameters.F90:75</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_adc510873316710fd71696fabcc34f336"><div class="ttname"><a href="namespacemod__oasis__parameters.html#adc510873316710fd71696fabcc34f336">mod_oasis_parameters::prism_output</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_output</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00042">mod_oasis_parameters.F90:42</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a81e4e20be511cd8be2ab3881b42f8f3e"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a81e4e20be511cd8be2ab3881b42f8f3e">mod_oasis_parameters::prism_none</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_none</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00061">mod_oasis_parameters.F90:61</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a9cd491b86da0ba4612f2de5a9ef52e7c"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a9cd491b86da0ba4612f2de5a9ef52e7c">mod_oasis_parameters::prism_in</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_in</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00030">mod_oasis_parameters.F90:30</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ab56f2573ea7fd626f24e42606f4745a2"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ab56f2573ea7fd626f24e42606f4745a2">mod_oasis_parameters::prism_recvout</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_recvout</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00052">mod_oasis_parameters.F90:52</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a9527d2d640ea7d747143bf994ee9b206"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a9527d2d640ea7d747143bf994ee9b206">mod_oasis_parameters::prism_double</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_double</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00119">mod_oasis_parameters.F90:119</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ae8105d0074bcd93e7da5c40331d2b9fe"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ae8105d0074bcd93e7da5c40331d2b9fe">mod_oasis_parameters::prism_inout</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_inout</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00032">mod_oasis_parameters.F90:32</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_af9dc530c2cf2f0e5b5bb04fecb8373dd"><div class="ttname"><a href="namespacemod__oasis__parameters.html#af9dc530c2cf2f0e5b5bb04fecb8373dd">mod_oasis_parameters::prism_loctrans</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_loctrans</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00038">mod_oasis_parameters.F90:38</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_aa9009f13473f2cb6476c2fb5e4963243"><div class="ttname"><a href="namespacemod__oasis__parameters.html#aa9009f13473f2cb6476c2fb5e4963243">mod_oasis_parameters::prism_input</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_input</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00050">mod_oasis_parameters.F90:50</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a9f683811203a8cf60704b4938a8f3a11"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a9f683811203a8cf60704b4938a8f3a11">mod_oasis_parameters::prism_sentout</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_sentout</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00044">mod_oasis_parameters.F90:44</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a984896e821cbbb8c4a91e86ff19d54de"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a984896e821cbbb8c4a91e86ff19d54de">mod_oasis_parameters::clim_length</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter clim_length</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00110">mod_oasis_parameters.F90:110</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a9df795bd9123857642aae31661b6c13a"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a9df795bd9123857642aae31661b6c13a">mod_oasis_parameters::oasis_comm_wait</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_comm_wait</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00066">mod_oasis_parameters.F90:66</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a3b96d31bbe142d84df2b93880498936f"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a3b96d31bbe142d84df2b93880498936f">mod_oasis_parameters::ip_cbaspos</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_cbaspos</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00096">mod_oasis_parameters.F90:96</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ae043e4e2c2b7f04fec7d8c061ef52934"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ae043e4e2c2b7f04fec7d8c061ef52934">mod_oasis_parameters::ip_cnone</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter ip_cnone</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00092">mod_oasis_parameters.F90:92</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_ae5cbdfb558e82bfb8695a8cf425780cb"><div class="ttname"><a href="namespacemod__oasis__parameters.html#ae5cbdfb558e82bfb8695a8cf425780cb">mod_oasis_parameters::prism_waitgroup</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_waitgroup</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00056">mod_oasis_parameters.F90:56</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a3d0349d8815bf1848122d99993097842"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a3d0349d8815bf1848122d99993097842">mod_oasis_parameters::prism_comm_wait</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_comm_wait</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00065">mod_oasis_parameters.F90:65</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_a136a476f2771e33d12e42b47eef72f9b"><div class="ttname"><a href="namespacemod__oasis__parameters.html#a136a476f2771e33d12e42b47eef72f9b">mod_oasis_parameters::prism_get</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter prism_get</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00069">mod_oasis_parameters.F90:69</a></div></div>
<div class="ttc" id="namespacemod__oasis__parameters_html_adc22f0871027f573ac705ca4593519f0"><div class="ttname"><a href="namespacemod__oasis__parameters.html#adc22f0871027f573ac705ca4593519f0">mod_oasis_parameters::oasis_inout</a></div><div class="ttdeci">integer(kind=ip_intwp_p), parameter oasis_inout</div><div class="ttdef"><b>Definition:</b> <a href="mod__oasis__parameters_8_f90_source.html#l00033">mod_oasis_parameters.F90:33</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Jun 29 2018 20:52:28 for Oasis3-MCT by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
